## tiger-3.2.tar.gz

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
#  You only need to 'make' tiger if you are planning to run it
#  on a regular basis, or to compile the binaries (sources under c/)
#  for your platform (these binaries might be needed by some checks)
#
#  TODO:
#  - This Makefile should follow better GNU's coding standards
#  as described in http://www.gnu.org/prep/standards_50.html#SEC50
#  (including using $(INSTALL) and mkinstalldirs)
#
#------------------------------------------------------------------------
# These definitions follow GNU's coding standards:
#
prefix=/usr/local
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
sbindir=${exec_prefix}/sbin
datadir=${prefix}/share
sysconfdir=${prefix}/etc
localstatedir=${prefix}/var
mandir=${prefix}/man
# To avoid troubles with some systems..
SHELL = /bin/sh

# This directory will contain the 'tiger', 'tigercron', 'tigexp'
# scripts, config files, the 'scripts' subdirectory which will
# contain the checking scripts, the platform specific scripts, etc.
# None of this will need to be writable once installed.
#
TIGERHOME=/usr/local/tiger
#
# This directory is used for scratch files while the scripts
# are running.  It can be /tmp.  By using something other
# than /tmp (something used only by the 'tiger' scripts), you
# can easily clean up the occasional dribbles left by 'tiger'
# (report these... don't want anything left laying around).
# 
# Of course, it is necessary that this directory be writable.
#
TIGERWORK=${prefix}/var/tiger/run
#
# Where do log files go.  This directory must be writable.
#
TIGERLOGS=${prefix}/var/tiger/log
#
# Where do binary executables go... this is only used if the
# binary executables don't exist in the appropriate platform
# sub-directory under $(TIGERHOME)/systems
#
TIGERBIN=${exec_prefix}/sbin
# 
# Where does the configuration go to? Tigerrc and cronrc get
# installed there
#
TIGERCONFIG=${prefix}/etc/tiger
#
#------------------------------------------------------------------------
#
# End of user customization...
#
#------------------------------------------------------------------------
#

PLATFORM_SCRIPTS:=$(shell find ./systems/ -type f)

BINARIES=./tiger \
	 ./tigexp  \
	 ./tigercron 

# Maybe this should be modified to be a generic ./scripts/check_*
# otherwise sometimes a check might be 'forgotten'
SCRIPTS=./scripts/check_accounts \
	./scripts/check_aliases \
	./scripts/check_anonftp \
	./scripts/check_apache \
	./scripts/check_cron \
	./scripts/check_devices \
	./scripts/check_embedded \
	./scripts/check_exports \
	./scripts/check_exrc \
	./scripts/check_finddeleted \
	./scripts/check_ftpusers \
	./scripts/check_group \
	./scripts/check_inetd \
	./scripts/check_issue \
	./scripts/check_known \
	./scripts/check_listeningprocs \
	./scripts/check_logfiles \
	./scripts/check_netrc \
	./scripts/check_network \
	./scripts/check_nisplus \
	./scripts/check_passwd \
	./scripts/check_passwdformat \
	./scripts/check_path \
	./scripts/check_perms \
	./scripts/check_printcap \
	./scripts/check_rhosts \
	./scripts/check_root \
	./scripts/check_rootdir \
	./scripts/check_runprocs \
	./scripts/check_sendmail \
	./scripts/check_services \
	./scripts/check_signatures \
	./scripts/check_system \
	./scripts/check_tcpd \
	./scripts/check_umask \
	./scripts/crack_run \
	./scripts/tripwire_run \
	./scripts/find_files \
	./util/buildbins \
	$(PLATFORM_SCRIPTS)

CONFIGFILES=./tigerrc \
	./cronrc \

MISCFILES=./initdefs \
	./check.tbl \
	./syslist \
	./util/difflogs \
	./util/flogit \
	./util/genmsgidx \
	./util/getfs-amd \
	./util/getfs-automount \
	./util/getfs-nfs \
	./util/getfs-std \
	./util/gethostinfo \
	./util/getnetgroup \
	./util/logit \
	./util/setsh \
	./util/sgrep

MISCDIRS=./bin \
	./doc \
	./html \
	./man \
	./scripts/sub \
	./systems

all:
	cd c && $(MAKE) install
	cd util && sh doc2html
	./util/genmsgidx

installdirs:
	@echo "Creating $(TIGERHOME)..."
	@if [ ! -d $(DESTDIR)$(TIGERHOME) ]; then \
	  mkdir -p $(DESTDIR)$(TIGERHOME); \
	  chmod 755 $(DESTDIR)$(TIGERHOME); \
        fi
	@echo "Creating $(TIGERWORK)..."
	@if [ ! -d $(DESTDIR)$(TIGERWORK) ]; then \
	  mkdir -p $(DESTDIR)$(TIGERWORK); \
	  chmod 700 $(DESTDIR)$(TIGERWORK); \
	fi
	@echo "Creating $(TIGERLOGS)..."
	@if [ ! -d $(DESTDIR)$(TIGERLOGS) ]; then \
	  mkdir -p $(DESTDIR)$(TIGERLOGS); \
	  chmod 700 $(DESTDIR)$(TIGERLOGS); \
	fi
	@echo "Creating $(TIGERHOME)/scripts..."
	@if [ ! -d $(DESTDIR)$(TIGERHOME)/scripts ]; then \
	  mkdir $(DESTDIR)$(TIGERHOME)/scripts; \
	  chmod 755 $(DESTDIR)$(TIGERHOME)/scripts; \
	fi
	@echo "Creating $(TIGERHOME)/util..."
	@if [ ! -d $(DESTDIR)$(TIGERHOME)/util ]; then \
	  mkdir $(DESTDIR)$(TIGERHOME)/util; \
	  chmod 755 $(DESTDIR)$(TIGERHOME)/util; \
	fi
	@echo "Creating $(TIGERBIN)..."
	@if [ ! -d $(DESTDIR)$(TIGERBIN) ]; then \
	  mkdir -p $(DESTDIR)$(TIGERBIN); \
	  chmod 755 $(DESTDIR)$(TIGERBIN); \
	fi
	@echo "Creating $(TIGERCONFIG)..."
	@if [ ! -d $(DESTDIR)$(TIGERCONFIG) ]; then \
	  mkdir -p $(DESTDIR)$(TIGERCONFIG); \
	  chmod 700 $(DESTDIR)$(TIGERCONFIG); \
	fi

installbinaries:
	@echo "Copying binaries..."
	@for file in $(BINARIES); do \
	   sed -e 's%^TigerLogDir=.*$$%TigerLogDir="'$(TIGERLOGS)'"%' \
	         -e 's%^TigerWorkDir=.*$$%TigerWorkDir="'$(TIGERWORK)'"%' \
	         -e 's%^TigerConfigDir=.*$$%TigerConfigDir="'$(TIGERCONFIG)'"%' \
	         -e 's%^TigerBinDir=.*$$%TigerBinDir="'$(TIGERBIN)'"%' \
	         -e 's%^TigerInstallDir=.*$$%TigerInstallDir="'$(TIGERHOME)'"%' \
	         $$file > $(DESTDIR)$(TIGERBIN)/$$file; \
	  chmod 755 $(DESTDIR)$(TIGERBIN)/$$file ; \
	done

installconfig:
	@echo "Copying configuration files..."
	@for file in $(CONFIGFILES); do \
	  cp $$file $(DESTDIR)$(TIGERCONFIG)/$$file; \
	  chmod 640 $(DESTDIR)$(TIGERCONFIG)/$$file; \
	done
	@echo "Copying general configuration..."
	@sed -e 's%^TigerLogDir=.*$$%TigerLogDir="'$(TIGERLOGS)'"%' \
         -e 's%^TigerWorkDir=.*$$%TigerWorkDir="'$(TIGERWORK)'"%' \
         -e 's%^TigerConfigDir=.*$$%TigerConfigDir="'$(TIGERCONFIG)'"%' \
         -e 's%^TigerBinDir=.*$$%TigerBinDir="'$(TIGERBIN)'"%' \
         -e 's%^TigerInstallDir=.*$$%TigerInstallDir="'$(TIGERHOME)'"%' \
	 ./config >$(DESTDIR)$(TIGERHOME)/config
	@chmod 644 $(DESTDIR)$(TIGERHOME)/config

install: installdirs installbinaries installconfig
	cd c && $(MAKE) install
	@echo "Copying miscellaneus dirs..."
	@for dir in $(MISCDIRS); do \
	  tar cf - $$dir | (cd $(DESTDIR)$(TIGERHOME); tar xpf -); \
	done
	@echo "Copying miscellaneus files..."
	@for file in $(MISCFILES); do \
	  cp -p $$file $(DESTDIR)$(TIGERHOME)/$$file; \
	done
	@echo "Copying scripts..."
	@for file in $(SCRIPTS); do \
	  sed -e 's%^TigerInstallDir=.*$$%TigerInstallDir="'$(TIGERHOME)'"%' \
	      $$file > $(DESTDIR)$(TIGERHOME)/$$file;\
	  chmod 755 $(DESTDIR)$(TIGERHOME)/$$file; \
	done

distribution:
# TODO: it should  create the proper tiger-$VERSION.tgz file
# TODO: The following should be done carefully, there are some
# more changes in tigerrc-all than the 'yes' flag for checks
#	cat tigerrc |sed -e 's/=N/=Y/' >tigerrc-all
	cp tigerrc tigerrc-dist

clean: 
	cd c && $(MAKE) clean
	-find bin/ -type f -exec rm -f {} \;
	-rm -f man/index.bt 

distclean: clean
	cd c && $(MAKE) distclean 
	-find log/ -type f -exec rm -f {} \;
	-find run/ -type f -exec rm -f {} \;
	-rm -f Makefile config.{status,log,cache}

maintainer-clean: distclean

configure: configure.in
	autoconf

# Configure the package with the defaults (will install to /usr/local/)
config: configure
	./configure

=== debian/changelog ===
tiger (3.2rc3-3) experimental; urgency=low

  * Added -q option to be used when running tigercron

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 26 Apr 2003 13:41:35 +0200

tiger (3.2rc3-2) experimental; urgency=low

  * Fixed cron to tigercon in the cron.d file

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 23 Apr 2003 22:02:07 +0200

tiger (3.2rc3-1) experimental; urgency=low

  * New release candidate. 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 23 Apr 2003 13:30:32 +0200

tiger (3.2rc2-1) experimental; urgency=low

  * Experimental version, fixes bugs but might introduce new ones.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 21 Apr 2003 17:57:40 +0200

tiger (3.2rc1-1) experimental; urgency=low
  * New upstream version 
     - False positives in services fixed (Closes: #132278)
     - Check_exports produces proper output (Closes: #162453)
     - Checks have been separated, now each check file prints it's
       comment (Closes: #165766)
     - Using the new ignore mechanism (better than the differential
       mechanism) this package now provides a baseline for Debian GNU/Linux, 
       hopefully this will make Matt test again this package :-) 
       (Closes: #164308, #172375)
     - The new ignore mechanism can now be used to avoid false positives,
       please customize as needed and read the notes on the 
       check_listeningprocs script (Closes: #136991)
     - Tigexp now gets modified by the Makefile (Closes: #189864)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 16 Apr 2003 00:29:45 +0200

tiger (3.1-5) unstable; urgency=low

  * Included some of the changes that will be in the next Tiger release
  * Config now sets the locale to POSIX (just in case it breaks some tests)
  * Check_listeningprocs now works with multiple program names (Closes: #164898)
  * Recovered the fixes from 3.0-2 which has made an old bug surface 
    (Closes: #164307, #166176, #166744)
  * Updated to latest advisories
  * Removed debugging output from systems/Linux/2/check_neverlogin

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 28 Oct 2002 17:51:03 +0100

tiger (3.1-4) unstable; urgency=medium

  * Fixed LOGDIR in tigercron.in which was making templates not work.
  * Remove all the /var/log/tiger* files.. sorry for the mess :(
  * Added a new configuration note in order to ask the user for the
  removal of the previous files instead of removing them without asking.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 14 Oct 2002 15:30:03 +0200

tiger (3.1-3) unstable; urgency=low

  * Removed DSA update in the package build (Closes: #164216)
  * Updated to latest DSAs

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Oct 2002 09:09:43 +0200

tiger (3.1-2) unstable; urgency=low

  * Added Build-Depends on autoconf since it's the only new thing
  for building that has been included upstream. (Closes: #163969)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 10 Oct 2002 12:48:25 +0200

tiger (3.1-1) unstable; urgency=low

  * New upstream release which includes some fixes for Debian bugs
  such as the "don't regenerate index" (Closes: #162590)
  * Made debian/rules update automatically the advisories file (which
  is now named debian_advisories so the previous chmod -x is not needed)
  * Automatically remove CVS dirs from the package (Closes: #154343)
  * Fixed bashisms in check_rcumask (Closes: #159444)
  * Changed check_passwd to not send false positives in Debian, it should
  be fixed, however to support PAM too (Closes: #162593)
  * Updated DSAs are now available

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 25 Jul 2002 19:37:41 +0200

tiger (3.0-3) unstable; urgency=low

  * Updated to latest advisories.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  7 Aug 2002 10:33:47 +0200

tiger (3.0-2) unstable; urgency=low

  * Changed Linux' config file so that it sets LSGROUPS to nothing
  Due to a change in fileutils-4.1.1 which changed the standard
  behavior from "showing groups (but really doing nothing)" to
  "not showing the owner" ! (Closes: #155588)
  * Modified config to set the environment properly (this was the
  first workaround I tried for the previous bug, didn't fix it but
  it seems better to leave the locale's environment, just in case...)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  6 Aug 2002 17:06:01 +0200

tiger (3.0-1) unstable; urgency=low

  * New upstream release (based on savannah sources)
  * Fix in order for deb_checkmd5sums to work with all sources (it was
    limited due to a stupid bug)
  * Included latest DSA advisories
  * The new package provides a *very* short diff since changes regarding
  Debian are added to the upstream sources too.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 18 Jun 2002 13:28:18 +0200

tiger (2.2.4p2-5) unstable; urgency=low

  * Added a GPL header to all the important scripts/files used by the
    program (this means /, /scripts and /systems/{default,Linux}.
    This was a requirement for adding tiger as a new project to the
    savannah site.
    (probably next upstream version and Debian diff file will be 
    reduced since I intend to make the current Debian codebase 
    upstream's 2.2.4p3)
  * Added a new check scripts/check_runprocs (not currently configured to
    run since it needs sysadmin to configure tigerrc properly to determine
    which processes should be checked for)
  * Added some more information to the README.Debian file and rewrote
    some paragraphs.
  * Written some notes on how to use Tiger as a host IDS.
  * Chmod'ed many scripts in order to avoid lintian warnings.
  * Changed tiger so it first reads tigerrc in the local directory 
  (useful for testing the package without installing or to use the tar.gz
  in other environments)
  * Fixed the scripts/check_anon in order to test if ftphome/etc/passwd


=== debian/control ===
Source: tiger
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: debhelper, autoconf
Standards-Version: 3.5.7

Package: tiger
Architecture: any
Depends: diff (>=2.0), net-tools, shellutils (>=1.1.14-1), fileutils (>=3.14-1), textutils (>=1.20-1), debconf, ${shlibs:Depends}
Recommends: binutils, sendmail | mail-transport-agent, john
Suggests: lsof
Description: Report system security vulnerabilities
 TIGER, or the 'tiger' scripts, is a set of Bourne shell 
 scripts, C programs and data files which are used to perform
 a security audit of UNIX systems.  TIGER has one primary goal:
 report ways 'root' can be compromised.
 . 
 Debian's TIGER incorporates new checks primarily oriented towards
 Debian distribution including: md5sums checks of installed files,
 location of files not belonging to packages, check of security
 advisories and analysis of local listening processes.

Package: tiger-otheros
Architecture: any
Depends: tiger
Description: Scripts to run Tiger in other operating systems
 TIGER, or the 'tiger' scripts, is a set of Bourne shell 
 scripts, C programs and data files which are used to perform
 a security audit of UNIX systems.  TIGER has one primary goal:
 report ways 'root' can be compromised.
 . 
 This package provides all the scripts for operating systems other
 than Linux provided for in the Tiger distribution. It is provided
 in the hope it will be useful for admins that wish to run tiger
 in a distributed environment sharing this files through the network
 (e.g. NFS).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	autoconf
	./configure --with-tigerhome=/usr/lib/tiger --with-tigerwork=/var/run/tiger/work --with-tigerlog=/var/log/tiger --with-tigerbin=/usr/sbin --with-tigerconfig=/etc/tiger --prefix=/usr 
	$(MAKE) all


	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ -f Makefile ] && $(MAKE) distclean || $(MAKE) -f Makefile.in distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=debian/tmp/
	# Just in case
	chmod a+x debian/tmp/usr/lib/tiger/systems/Linux/2/{deb,gen,check}_*
	chmod a+x debian/tmp/usr/lib/tiger/scripts/check_*
	# This is not needed
	-rm -rf debian/tmp/usr/lib/tiger/man/
	# Remove the systems that do not apply. 
	# Currently only Linux and default
	# AIX/  default/  HPUX/  IRIX/  Linux/  NeXT/  SunOS/  UNICOS/ UNICOSMK
	# TODO: make this for all dirs save for Linux and default (i.e.
	# make this 'mv' more generic)
	#	mv debian/tmp/usr/lib/tiger/systems/{AIX,HPUX,IRIX,NeXT,SunOS,UNICOS,UNICOSMK} debian/tiger-otheros/usr/lib/tiger/systems/
	#install -m 755 debian/tiger debian/tmp/usr/sbin/
	#install -m 755 debian/tigexp debian/tmp/usr/sbin/
	#install -m 755 tigercron debian/tmp/usr/lib/tiger/
	install -m 600 cronrc debian/tmp/etc/tiger/
	install -m 600 tigerrc debian/tmp/etc/tiger/
	install -m 600 debian/debian.ignore debian/tmp/etc/tiger/tiger.ignore
	install -m 644 version.h debian/tmp/usr/lib/tiger/
	-find debian/tmp/ -type d -a -name "CVS" |xargs rm -rf 


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples tigerrc* site* cronrc
	dh_installmenu
	dh_installcron
	dh_installman man/tiger.8 man/tigexp.8
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip -XHPUX -XSunOS -XAIX -XHPUX -XIRIX -XNeXT
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -XHPUX -XSunOS -XAIX -XHPUX -XIRIX -XNeXT 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

update-dsa:
# Updated Debian Security Advisories
# This target should only be run by the Debian maintainer (which needs
# to fix the update_advisories appropiately)
	cd systems/Linux/2 && sh update_advisories.sh
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
